commit:     94f30802351d007b1b0a0e7a7bd357ea0467b473
Author:     Georgy Yakovlev <ya <AT> sysdump <DOT> net>
AuthorDate: Sat Apr  7 18:36:20 2018 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 05:04:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94f30802

app-shells/fish: add 3.0_beta1 and live cmake-based ebuilds

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 app-shells/fish/Manifest              |  1 +
 app-shells/fish/files/README.gentoo   | 19 +++++++++
 app-shells/fish/fish-3.0_beta1.ebuild | 72 +++++++++++++++++++++++++++++++++++
 app-shells/fish/fish-9999.ebuild      | 72 +++++++++++++++++++++++++++++++++++
 4 files changed, 164 insertions(+)

diff --git a/app-shells/fish/Manifest b/app-shells/fish/Manifest
index 477ae5e35a1..85645e50d3b 100644
--- a/app-shells/fish/Manifest
+++ b/app-shells/fish/Manifest
@@ -1,2 +1,3 @@
 DIST fish-2.6.0.tar.gz 3575346 BLAKE2B 
8697dc6e50836d93d0ed22663e86016fec8e567cd4e129ea92008f52da6dd629bf11b70719beabe5c08bd3d7ba43d8017441f103d49a82c0faec3bc749e83764
 SHA512 
d4ded5ce24600e85673a7bb016e9dc36bce999b27f40e6b1ce0b9ca49a421be2d444d9d2b6f178f6eee963e59daa4a65df4c3de2a8086a610486f758fcfb0ed1
 DIST fish-2.7.1.tar.gz 5760550 BLAKE2B 
71568a3a17f4222b05a314464a61fceb241409a7d42c46249486ca742ef0cf990c46d693bcc22521c18f58a558e6aab35759d0da6eb62ee6611a2a7946fe714d
 SHA512 
45ee3453404c5d6c56d307b4cd19197de862f9f42d7fa06461acec56dea7146db5675cf6419dd5f72e939b3e4b1955d3761098df1de89a8cebe47645eb6f7a4b
+DIST fish-3.0b1.tar.gz 6471932 BLAKE2B 
d65ed7e7f4de1f967f5f2090b01be86b778a46f8e5c112daf99234bc584e01992c466976d6547814f84730d1092e39bc3f2bfa55592e71bf1a93a42fb8846b34
 SHA512 
f13c4ca9e62ecdd6afc4961cb4f6ec5d4b7f51b9c3b3ba97f280b7a9ed2cdeb9be193ff58b9f556b01af0815b78ab540f25c473a253651c96db03f8cb1652dde

diff --git a/app-shells/fish/files/README.gentoo 
b/app-shells/fish/files/README.gentoo
new file mode 100644
index 00000000000..421d070ac57
--- /dev/null
+++ b/app-shells/fish/files/README.gentoo
@@ -0,0 +1,19 @@
+fish is now installed on your system.
+To run fish, type 'fish' in your terminal.
+
+It is advised not to set fish as a default login shell.
+see https://bugs.gentoo.org/545830 for more details.
+Executing fish using ~/.bashrc is an alternative
+see https://wiki.gentoo.org/wiki/Fish#Caveats for details
+
+To set your colors, run 'fish_config'
+To scan your man pages for completions, run 'fish_update_completions'
+To autocomplete command suggestions press Ctrl + F or right arrow key.
+
+Please add a "BROWSER" variable to fish environment pointing to the
+browser of your choice to get acces to fish help system:
+  BROWSER="/usr/bin/firefox"
+
+If you have issues with cut'n'paste in X-terminals, install the x11-misc/xsel 
package.
+
+Have fun!

diff --git a/app-shells/fish/fish-3.0_beta1.ebuild 
b/app-shells/fish/fish-3.0_beta1.ebuild
new file mode 100644
index 00000000000..cc6e0bba617
--- /dev/null
+++ b/app-shells/fish/fish-3.0_beta1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils readme.gentoo-r1
+
+DESCRIPTION="Friendly Interactive SHell"
+HOMEPAGE="http://fishshell.com/";
+
+MY_PV="${PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/${PN}-shell/${PN}-shell.git";
+else
+       
SRC_URI="https://github.com/${PN}-shell/${PN}-shell/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="doc nls test"
+
+RDEPEND="
+       >=dev-libs/libpcre2-10.21[pcre32]
+       sys-devel/bc
+       sys-libs/ncurses:0=
+"
+
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen )
+       nls? ( sys-devel/gettext )
+       test? ( dev-tcltk/expect )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       # workaround for https://github.com/fish-shell/fish-shell/issues/4883
+       sed -i 
's#${TEST_INSTALL_DIR}/${CMAKE_INSTALL_PREFIX}#${TEST_INSTALL_DIR}#' \
+               cmake/Tests.cmake || die
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_BINDIR="${EPREFIX}/bin"
+               -DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+               -DINTERNAL_WCWIDTH=OFF
+               -DBUILD_DOCS="$(usex doc)"
+               -DWITH_GETTEXT="$(usex nls)"
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       keepdir /usr/share/fish/vendor_{completions,conf,functions}.d
+       readme.gentoo_create_doc
+}
+
+src_test() {
+       cmake-utils_src_make -j1 test
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

diff --git a/app-shells/fish/fish-9999.ebuild b/app-shells/fish/fish-9999.ebuild
new file mode 100644
index 00000000000..cc6e0bba617
--- /dev/null
+++ b/app-shells/fish/fish-9999.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils readme.gentoo-r1
+
+DESCRIPTION="Friendly Interactive SHell"
+HOMEPAGE="http://fishshell.com/";
+
+MY_PV="${PV/_beta/b}"
+MY_P="${PN}-${MY_PV}"
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/${PN}-shell/${PN}-shell.git";
+else
+       
SRC_URI="https://github.com/${PN}-shell/${PN}-shell/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE="doc nls test"
+
+RDEPEND="
+       >=dev-libs/libpcre2-10.21[pcre32]
+       sys-devel/bc
+       sys-libs/ncurses:0=
+"
+
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen )
+       nls? ( sys-devel/gettext )
+       test? ( dev-tcltk/expect )
+"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       # workaround for https://github.com/fish-shell/fish-shell/issues/4883
+       sed -i 
's#${TEST_INSTALL_DIR}/${CMAKE_INSTALL_PREFIX}#${TEST_INSTALL_DIR}#' \
+               cmake/Tests.cmake || die
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DCMAKE_INSTALL_BINDIR="${EPREFIX}/bin"
+               -DCMAKE_INSTALL_DOCDIR="share/doc/${PF}"
+               -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+               -DINTERNAL_WCWIDTH=OFF
+               -DBUILD_DOCS="$(usex doc)"
+               -DWITH_GETTEXT="$(usex nls)"
+       )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+       keepdir /usr/share/fish/vendor_{completions,conf,functions}.d
+       readme.gentoo_create_doc
+}
+
+src_test() {
+       cmake-utils_src_make -j1 test
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to